Subject: Re: bug#5050: 23.1; efiff: Displaying bytes instead of characters in messages

From: Stephen Berman <[email-masked]>
Date: Thu, 20 Aug 2020 21:51:44 +0200

On Thu, 20 Aug 2020 21:42:47 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> (defun ediff-exec-process (program buffer synch options &rest files)
>
> [...]
>
> 	;; If this is a buffer job, we are diffing temporary files
> 	;; produced by Emacs with ediff-coding-system-for-write, so
> 	;; use the same encoding to read the results.
> 	(coding-system-for-read
> 	 (if (string-match "buffer" (symbol-name ediff-job-name))
> 	     ediff-coding-system-for-write
> 	   ediff-coding-system-for-read))
> 	args)
>
> This is the problem: ediff-coding-system-for-read is raw-text, which
> gives us the binary data in the buffer instead of characters.

Indeed, and when I set ediff-coding-system-for-read to utf-8 and carry
out the OP's recipe, the German text is displayed as it should be with
umlaut.

Steve Berman